=== debian/changelog ===
nghttp3 (0~20201019-1) sid; urgency=medium

  * Initial release (Closes: #934184)
    - using Draft-31 as upstream, commit 37c1c1b.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:58:42 +0100
