=== lib/includes/CMakeLists.txt ===
install(FILES
    nghttp3/nghttp3.h
    "${CMAKE_CURRENT_BINARY_DIR}/nghttp3/version.h"
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/nghttp3")
