=== debian/changelog ===
nghttp3 (0.1.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.1.1.
  * d/copyright: Correcting copyright year for nghttp3 contributors.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 07 Feb 2022 20:45:09 +0100

nghttp3 (0~20210817-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0~20210817.
  * Using execute_after_dh_install instead of override_dh_install.
  * Changing VCS path in debian/control.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 04 Sep 2021 09:15:06 +0200
