=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: nghttp3
+Section: libs
 Priority: optional
 Maintainer: Sakirnth Nagarasa <sakirnth@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Section: libs
+Standards-Version: 4.6.0
 Homepage: https://github.com/ngtcp2/nghttp3
-Vcs-Browser: https://salsa.debian.org/saki-guest/nghttp3
-Vcs-Git: https://salsa.debian.org/saki-guest/nghttp3.git
+Vcs-Browser: https://salsa.debian.org/saki/nghttp3
+Vcs-Git: https://salsa.debian.org/saki/nghttp3.git
 
 Package: libnghttp3-0
 Section: libs
