## nghttp3 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,13 @@
 # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 
 cmake_minimum_required(VERSION 3.1)
-# XXX using 0.1.90 instead of 0.1.0-DEV
-project(nghttp3 VERSION 0.1.1)
+# XXX using 0.1.90 instead of 0.2.0-DEV
+project(nghttp3 VERSION 0.2.0)
 
 # See versioning rule:
 #  https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
-set(LT_CURRENT  0)
-set(LT_REVISION 1)
+set(LT_CURRENT  1)
+set(LT_REVISION 0)
 set(LT_AGE      0)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
