=== debian/changelog ===
nghttp3 (0.2.0-3) sid; urgency=medium

  * Add d/libnghttp3-1.symbols file.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Tue, 21 Jun 2022 13:18:22 +0200

nghttp3 (0.2.0-2) sid; urgency=medium

  * Uploading to sid.
  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 16 May 2022 10:59:25 +0200

nghttp3 (0.2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.2.0.
  * d/control:
    - Updating binary package name because of soname bump.
    - Updating Depends because of soname bump.
  * Renaming debian/libnghttp3-0 to debian/libnghttp3-1.
  * d/copyright: Updating copyright for this version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 28 Mar 2022 11:39:22 +0200
