=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  debhelper-compat (= 13),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ngtcp2/nghttp3
 Vcs-Browser: https://salsa.debian.org/saki/nghttp3
 Vcs-Git: https://salsa.debian.org/saki/nghttp3.git
 
-Package: libnghttp3-0
+Package: libnghttp3-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnghttp3-0 (= ${binary:Version}),
+ libnghttp3-1 (= ${binary:Version}),
  ${misc:Depends},
 Description: HTTP/3 library with QUIC and QPACK (development)
  nghttp3 implements HTTP/3 functions in C. For now it supports several
