## nghttp3 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,11 +25,11 @@
 
 cmake_minimum_required(VERSION 3.1)
 # XXX using 0.1.90 instead of 0.2.0-DEV
-project(nghttp3 VERSION 0.2.0)
+project(nghttp3 VERSION 0.7.0)
 
 # See versioning rule:
 #  https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
-set(LT_CURRENT  1)
+set(LT_CURRENT  3)
 set(LT_REVISION 0)
 set(LT_AGE      0)
 
@@ -59,7 +59,7 @@
 foreach(_build_type "Release" "MinSizeRel" "RelWithDebInfo")
   foreach(_lang C CXX)
     string(TOUPPER "CMAKE_${_lang}_FLAGS_${_build_type}" _var)
-    string(REGEX REPLACE "(^| )[/-]D *NDEBUG($| )" "" ${_var} "${${_var}}")
+    string(REGEX REPLACE "(^| )[/-]D *NDEBUG($| )" " " ${_var} "${${_var}}")
   endforeach()
 endforeach()
