=== debian/changelog ===
nghttp3 (0.7.0-2) sid; urgency=medium

  * Uploading to sid.
  * Source-only upload to allow testing migration.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 14 Sep 2022 19:00:04 +0200

nghttp3 (0.7.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.7.0.
  * d/control:
    - Updated binary package names because of soname bump.
    - Updated depends because of soname bump.
  * Removed d/libnghttp3-1.symbols.
  * Renamed d/libnghttp3-1.install to d/libnghttp3-3.install.
  * Added d/libnghttp3-3.symbols.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 27 Aug 2022 20:16:56 +0200
