=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/saki/nghttp3
 Vcs-Git: https://salsa.debian.org/saki/nghttp3.git
 
-Package: libnghttp3-1
+Package: libnghttp3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libnghttp3-1 (= ${binary:Version}),
+ libnghttp3-3 (= ${binary:Version}),
  ${misc:Depends},
 Description: HTTP/3 library with QUIC and QPACK (development)
  nghttp3 implements HTTP/3 functions in C. For now it supports several
