## nghttp3 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,12 +25,12 @@
 
 cmake_minimum_required(VERSION 3.1)
 # XXX using 0.1.90 instead of 0.2.0-DEV
-project(nghttp3 VERSION 0.7.0)
+project(nghttp3 VERSION 0.8.0)
 
 # See versioning rule:
 #  https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
 set(LT_CURRENT  3)
-set(LT_REVISION 0)
+set(LT_REVISION 2)
 set(LT_AGE      0)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
