=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,7 @@
   nghttp3_balloc.c
   nghttp3_opl.c
   nghttp3_objalloc.c
+  nghttp3_unreachable.c
 )
 
 # Public shared library
