=== debian/changelog ===
nghttp3 (0.8.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux 21.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2024 12:20:02 -0700

nghttp3 (0.8.0-2) sid; urgency=medium

  * Uploading to sid.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 06 Jan 2023 20:23:57 +0100

nghttp3 (0.8.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.8.0.
  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sun, 01 Jan 2023 20:05:12 +0100
