=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la

	# Delete doc for now
	rm -rf debian/tmp/usr/share/doc/nghttp3

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
