=== debian/changelog ===
nghttp3 (1.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 11 Aug 2024 12:27:12 +0100

nghttp3 (1.4.0-1) sid; urgency=medium

  * New upstream version 1.4.0.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Jul 2024 03:45:14 +0200
