## nghttp3 1.6.0

=== debian/changelog ===
nghttp3 (1.6.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Mon, 02 Dec 2024 21:13:10 -0300

nghttp3 (1.6.0-2) unstable; urgency=medium

  * d/changelog: Remove 1.4.0-1~bpo12+1 entry from unstable changelog.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Thu, 28 Nov 2024 08:28:57 +0100

nghttp3 (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0.
  * d/changelog: Changing naming sid to unstable.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 13 Nov 2024 15:47:55 +0100

nghttp3 (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 24 Jul 2024 03:45:14 +0200

nghttp3 (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #1070079).

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 28 Jun 2024 16:55:48 +0200

nghttp3 (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Fri, 06 Jan 2023 20:23:57 +0100

nghttp3 (0.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Source-only upload to allow testing migration.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Wed, 14 Sep 2022 19:00:04 +0200

nghttp3 (0.2.0-3) unstable; urgency=medium

  * Add d/libnghttp3-1.symbols file.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Tue, 21 Jun 2022 13:18:22 +0200

nghttp3 (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/control: Updating Standards-Version.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 16 May 2022 10:59:25 +0200

nghttp3 (0.1.1-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 0.1.1.
  * d/copyright: Correcting copyright year for nghttp3 contributors.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Mon, 07 Feb 2022 20:45:09 +0100

nghttp3 (0~20210817-1) unstable; urgency=medium

  * Uploading to unstable.
  * Merging upstream version 0~20210817.
  * Using execute_after_dh_install instead of override_dh_install.
  * Changing VCS path in debian/control.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 04 Sep 2021 09:15:06 +0200

nghttp3 (0~20201019-1) unstable; urgency=medium

  * Initial release (Closes: #934184).
    - using Draft-31 as upstream, commit 37c1c1b.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 28 Nov 2020 08:58:42 +0100
