=== debian/control ===
Source: nghttp3
Section: libs
Priority: optional
Maintainer: Debian Curl Maintainers <team+curl@tracker.debian.org>
Uploaders:
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ngtcp2/nghttp3
Vcs-Browser: https://salsa.debian.org/saki/nghttp3
Vcs-Git: https://salsa.debian.org/saki/nghttp3.git

Package: libnghttp3-9
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: HTTP/3 library with QUIC and QPACK (library)
 nghttp3 implements HTTP/3 functions in C. For now it supports several
 HTTP actions like request, response and server push.
 .
 This package contains the shared library.

Package: libnghttp3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnghttp3-9 (= ${binary:Version}),
 ${misc:Depends},
Description: HTTP/3 library with QUIC and QPACK (development)
 nghttp3 implements HTTP/3 functions in C. For now it supports several
 HTTP actions like request, response and server push.
 .
 This package contains the development files.
