=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -70,7 +70,7 @@
 set(NGHTTP3_CONFIG_INSTALL_DIR "lib/cmake/${PROJECT_NAME}")
 set(NGHTTP3_NAMESPACE "${PROJECT_NAME}::")
 set(NGHTTP3_VERSION ${PROJECT_VERSION})
-  
+
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(
   "${NGHTTP3_VERSION_CONFIG}" VERSION ${NGHTTP3_VERSION} COMPATIBILITY SameMajorVersion
@@ -82,11 +82,6 @@
   FILES "${NGHTTP3_PROJECT_CONFIG}" "${NGHTTP3_VERSION_CONFIG}"
   DESTINATION "${NGHTTP3_CONFIG_INSTALL_DIR}")
 
-install(
-  EXPORT "${NGHTTP3_TARGETS_EXPORT_NAME}"
-  NAMESPACE "${NGHTTP3_NAMESPACE}"
-  DESTINATION "${NGHTTP3_CONFIG_INSTALL_DIR}")
-
 # Public shared library
 if(ENABLE_SHARED_LIB)
   add_library(nghttp3 SHARED ${nghttp3_SOURCES})
@@ -96,8 +91,10 @@
     C_VISIBILITY_PRESET hidden
   )
 
+  target_include_directories(nghttp3 INTERFACE $<INSTALL_INTERFACE:include>)
+
   install(TARGETS nghttp3
-    EXPORT ${NGHTTP3_TARGETS_EXPORT_NAME} 
+    EXPORT ${NGHTTP3_TARGETS_EXPORT_NAME}
     ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
     LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
@@ -111,12 +108,20 @@
     VERSION ${LT_VERSION} SOVERSION ${LT_SOVERSION}
     ARCHIVE_OUTPUT_NAME nghttp3${STATIC_LIB_SUFFIX}
     )
+
+  target_include_directories(nghttp3_static INTERFACE $<INSTALL_INTERFACE:include>)
+
   target_compile_definitions(nghttp3_static PUBLIC "-DNGHTTP3_STATICLIB")
 
   install(TARGETS nghttp3_static
-    EXPORT ${NGHTTP3_TARGETS_EXPORT_NAME} 
+    EXPORT ${NGHTTP3_TARGETS_EXPORT_NAME}
     DESTINATION "${CMAKE_INSTALL_LIBDIR}")
 endif()
 
+install(
+  EXPORT "${NGHTTP3_TARGETS_EXPORT_NAME}"
+  NAMESPACE "${NGHTTP3_NAMESPACE}"
+  DESTINATION "${NGHTTP3_CONFIG_INSTALL_DIR}")
+
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnghttp3.pc"
   DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
