=== debian/changelog ===
nghttp3 (1.8.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Mar 2025 18:05:58 -0700

nghttp3 (1.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Fri, 07 Mar 2025 22:26:29 +0000

nghttp3 (1.8.0-1) unstable; urgency=medium

  [ Matheus Polkorny ]
  * d/watch: Add debian/watch file with signature verification.
  * d/upstream/signing-key.asc: Upstream public key.

  [ Sakirnth Nagarasa ]
  * New upstream version 1.8.0.
  * d/gbp.conf: Adding debian/unstable as default branch.
  * d/copyright: Updating years and author for debian/*.
  * d/control:
    - Updating Standards-Version.
    - Updating Vsc path.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Sat, 01 Mar 2025 10:38:20 +0100
