## nghttp3 1.11.0

=== debian/changelog ===
nghttp3 (1.11.0-1~exp1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.11.0

 -- Samuel Henrique <samueloph@debian.org>  Fri, 05 Sep 2025 19:04:09 +0100
